package com.cf.imes.module.system.enums.notice;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 通知公告来源
 *
 * @author Gqr
 * @since 2024/7/5 9:25
 */
@Getter
@AllArgsConstructor
public enum NoticeSourceEnum {
    /**
     * 内置
     */
    SYSTEM(0),
    /**
     * 自定义
     */
    CUSTOM(1);

    @EnumValue
    private final Integer source;

    @JsonCreator
    public static NoticeSourceEnum fromSource(Integer source) {
        for (NoticeSourceEnum value : values()) {
            if (value.getSource().equals(source)) {
                return value;
            }
        }
        return null;
    }
}
